<?php
	# WackoWiki Theme: Bluenatic
	# Copyright (C) 2006         Robert Vaeth  - <spam@non-public.com>
	# This program is distributed under the terms and conditions of the GPL
	# See the README and LICENSE files for details

	# --------------------------------------------------------
	# $Id: header.php, v1.00 2006/05/07 Exp $
	# --------------------------------------------------------

	# Unlike all other styles this theme is written entirely in PHP. One big
	# advantage is that I can control the output much better.

	# --------------------
	# (1) Create the header
	# --------------------
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">', "\n";

	# Small personal note about standards
	echo '<!--', "\n";
	echo "\t", 'I tried to fit the W3C standards while creating this template.', "\n";
	echo "\t", 'Please do NEVER forget: micro$oft != standard', "\n\n";
	echo "\t", 'Based on the NoProbs template from Gururaj:', "\n";
	echo "\t", 'http://openwebdesign.org/userinfo.phtml?user=kpgururaja', "\n";
	echo '-->', "\n";

	echo '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">', "\n";
	echo '<head>', "\n";

	# Some meta informations
	echo "\t", '<meta name="keywords" content="' . $this->GetKeywords() . '" />', "\n";
	echo "\t", '<meta name="description" content="' . $this->GetDescription() . '" />', "\n";
	echo "\t", '<meta http-equiv="content-type" content="text/html; charset=' . $this->GetCharset() . '" />', "\n";

	# Link to CSS files
	echo "\t", '<link rel="stylesheet" type="text/css" href="' . $this->GetConfigValue("theme_url") . 'css/default.css" media="screen" />', "\n";
	echo "\t", '<link rel="stylesheet" type="text/css" href="' . $this->GetConfigValue("theme_url") . 'css/page.css" media="screen" />', "\n";
	echo "\t", '<link rel="stylesheet" type="text/css" href="' . $this->GetConfigValue("theme_url") . 'css/wakka.css" media="screen" />', "\n";

	echo "\t", '<link rel="shortcut icon" type="image/x-icon" href="' . $this->GetConfigValue("theme_url") . 'icons/icon.gif" />', "\n";
	echo "\t", '<link rel="alternate" type="application/rss+xml" title="RecentChanges in RSS" href="' . $this->GetConfigValue("root_url") . 'xml/recentchanges_' . preg_replace("/[^a-zA-Z0-9]/", "", strtolower($this->GetConfigValue("wakka_name"))) . '.xml" />', "\n";
	echo "\t", '<link rel="alternate" type="application/rss+xml" title="History/revisions of ' . $this->tag . ' in RSS" href="' . $this->href("revisions.xml") . '" />', "\n";

	# Robots
	if($this->GetMethod() != 'show' || $this->page["latest"] == "N") {
		echo "\t", '<meta name="robots" content="noindex, nofollow" />', "\n";
	}

	# Title
	echo "\t", '<title>';
	echo $this->GetWakkaName() . ': ' . $this->AddSpaces($this->GetPageTag()) . ($this->method != "show" ? ' (' . $this->method . ') ' : " ");
	echo '</title>', "\n";

	# Javascript for WackoWiki
	echo "\t", '<script type="text/javascript" src="' . $this->GetConfigValue("root_url") . 'js/default.js"></script>', "\n";
	echo "\t", '<script type="text/javascript" src="' . $this->GetConfigValue("root_url") . 'js/protoedit.js"></script>', "\n";
	echo "\t", '<script type="text/javascript" src="' . $this->GetConfigValue("root_url") . 'js/wikiedit2.js"></script>', "\n";
	echo "\t", '<script type="text/javascript" src="' . $this->GetConfigValue("root_url") . 'js/autocomplete.js"></script>', "\n";
	if($user = $this->GetUser()) if($user["doubleclickedit"] == "Y") {
		echo "\t", '<script type="text/javascript">', "\n";
		echo "\t\t", 'var edit = "' . $this->href("edit") . '"', "\n";
		echo "\t", '</script>', "\n";
	}
	echo '</head>', "\n\n";



	# --------------------
	# (2) Start of body
	# --------------------
	echo '<body onload="all_init();';
	if($message)
		echo 'alert("' . $message . '");';
	echo '">', "\n";

	# Header of the page
	echo '<div id="mainwrapper">', "\n";
	echo "\t", '<div id="header">', "\n";

	# Search form
	echo "\t\t", $this->FormOpen("", $this->GetResourceValue("TextSearchPage"), "get");
	echo "\t\t", '<input type="text" name="phrase" size="15" value="' . $this->GetResourceValue("SearchButtonText") . '" class="search" />', "\n";
	echo "\t\t", $this->FormClose();
			
	# Print Wackoname and path (and the magic 3 dots)
	echo "\t\t", '<b>' . $this->config["wakka_name"] . ': </b>';
	echo $this->GetPagePath(), "\n";
	echo "\t\t", '<a title="' . $this->GetConfigValue("search_title_help") . '" href="' . $this->config["base_url"] . $this->GetResourceValue("TextSearchPage") . ($this->config["rewrite_mode"] ? "?" : "&amp;") . 'phrase=' . urlencode($this->GetPageTag()) . '">...</a>', "\n";
	echo "\t", '</div>', "\n";
	echo "\t", '<div id="quicklinks">', "\n";
	echo "\t\t", '<div class="bookmarks">', "\n";

	# Insert links to root page and personal bookmarks
	echo "\t\t\t", $this->ComposeLinkToPage($this->config["root_page"]) . ' | ';
	echo $this->Format($this->GetBookmarksFormatted(), "post_wacko"), "\n";
	echo "\t\t", '</div>', "\n";

	# If logged in, show username, settings and logout
	if($user = $this->GetUser()) {
		echo "\t\t", '<div class="user">', "\n";
		echo "\t\t\t", $this->Link($this->GetUserName()), "\n";
		echo "\t\t\t", '<small>( ', "\n";
		echo "\t\t\t\t", $this->ComposeLinkToPage($this->GetResourceValue("YouArePanelLink"), "", $this->GetResourceValue("YouArePanelName"), 0) . ' | ';
		echo '<a href="' . $this->Href("",$this->GetResourceValue("LoginPage")) . ($this->config["rewrite_mode"] ? "?" : "&amp;") . 'action=logout&amp;goback=' . $this->SlimUrl($this->tag) . '">' . $this->GetResourceValue("LogoutLink") . '</a>', "\n";
		echo "\t\t\t", ' )</small>', "\n";
		echo "\t\t", '</div>', "\n";
	}

	echo "\t", '</div>', "\n";

	# Quickactions
	echo "\t", '<div id="quickactions">', "\n";

	# If logged in, show quickactions, else show login box
	if($user = $this->GetUser()) {
		# Show edit button only if user has privileges
		if($this->HasAccess("write")) {
			echo "\t\t", '<a href="' . $this->href("edit") . '" accesskey="E">', "\n";
			echo "\t\t\t", '<img src="' . $this->GetConfigValue("theme_url") . 'images/qa-edit.gif" alt="' . $this->GetResourceValue("EditTip") . '" title="' . $this->GetResourceValue("EditTip") . '" />', "\n";
			echo "\t\t", '</a>', "\n";
			echo "\t\t", '&nbsp;&nbsp;&nbsp;', "\n";
		}
		# Show ACL button only if user has privileges (or is admin) and if the page exists
		if($this->page)
			if($this->UserIsOwner() || $this->IsAdmin()) {
				echo "\t\t", '<a href="' . $this->href("acls") . '">', "\n";
				echo "\t\t\t", '<img src="' . $this->GetConfigValue("theme_url") . 'images/qa-acl.gif" alt="' . $this->GetResourceValue("EditACLText") . '" title="' . $this->GetResourceValue("EditACLText") . '" />', "\n";
				echo "\t\t", '</a>', "\n";
			}
		# Show printer button
		echo "\t\t", '<a href="' . $this->href("print") . '">', "\n";
		echo "\t\t\t", '<img src="' . $this->GetConfigValue("theme_url") . 'images/qa-print.gif" alt="' . $this->GetResourceValue("PrintVersion") . '" title="' . $this->GetResourceValue("PrintVersion") . '" />', "\n";
		echo "\t\t\t", '</a>', "\n";
	} else {
		# Create login box
		echo "\t\t", '<div class="loginbox">', "\n";
		echo "\t\t\t", $this->FormOpen("", $this->GetResourceValue("LoginPage"), "post");
		echo "\t\t\t", '<input type="hidden" name="action" value="login">', "\n";
		echo "\t\t\t", '<input type="hidden" name="goback" value="' . $this->SlimUrl($this->tag) . '">', "\n";
		echo "\t\t\t", $this->GetResourceValue("LoginWelcome"), "\n";
		echo "\t\t\t", '<input type="text" name="name" size="15" class="login">', "\n";
		echo "\t\t\t", $this->GetResourceValue("LoginPassword"), "\n";
		echo "\t\t\t", '<input type="password" name="password" size="10" class="login">', "\n";
		echo "\t\t\t", '<input type="image" src="' . $this->GetConfigValue("theme_url") . 'icons/login.gif" alt="' . $this->GetResourceValue("LoginWelcome") . '" class="login">', "\n";
		echo "\t\t\t", $this->FormClose(), "\n";
		echo "\t\t", '</div>', "\n";
	}

	echo "\t", '</div>', "\n\n";

	# At this point the wiki content is included.
	# We can't control the code anymore
	echo '<!-- Wiki content start -->', "\n\n";
